import { registerAs } from '@nestjs/config';
import { resolve } from 'path';

export const security = registerAs('security', () => ({
  jwtAlgorithm: String(process.env.JWT_ALGORITHM || 'RS512'),
  jwtTokenExpiry: Number(process.env.JWT_EXPIRY) || 60 * 60,
  refreshTokenExpiry: Number(process.env.REFRESH_EXPIRY) || 30 * 60 * 60,
  privateKeyPath: resolve(String(process.env.PRIVATE_KEY_FILE)),
  publicKeyPath: resolve(String(process.env.PUBLIC_KEY_FILE)),
  secretKey: String(process.env.SECRET_KEY),
  secretAlgorithm: String(process.env.REFRESH_ALGORITHM || 'A256CBC-HS512'),
}));
