import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('privileges', (table) => {
    table.increments('id').primary();
    table.text('privilege').notNullable();

    table.uuid('created_by').nullable();
    table.uuid('updated_by').nullable();

    table.timestamps(true, true);

    table.foreign('created_by').references('users.id').onDelete('SET NULL');
    table.foreign('updated_by').references('users.id').onDelete('SET NULL');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('privileges');
}
