import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('user_role', (table) => {
    table.increments('id').primary();
    table.integer('role_id').nullable().unsigned();
    table.uuid('user_id').nullable();
    table.foreign('role_id').references('roles.id').onDelete('CASCADE');
    table.foreign('user_id').references('users.id').onDelete('CASCADE');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('user_role');
}
