import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('role_privilege', (table) => {
    table.increments('id').primary();
    table.integer('role_id').nullable().unsigned();
    table.integer('privilege_id').nullable().unsigned();
    table.foreign('role_id').references('roles.id').onDelete('CASCADE');
    table
      .foreign('privilege_id')
      .references('privileges.id')
      .onDelete('CASCADE');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('role_privilege');
}
