import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('ban_privilege', (table) => {
    table.increments('id').primary();
    table.integer('privilege_id').nullable().unsigned();
    table.integer('ban_id').nullable();
    table
      .foreign('privilege_id')
      .references('privileges.id')
      .onDelete('CASCADE');
    table.foreign('ban_id').references('bans.id').onDelete('CASCADE');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('ban_privilege');
}
