import { hashSync } from 'bcrypt';
import { Knex } from 'knex';

const initialUsers = [
  {
    username: 'freeblox',
    email: 'freeblox@icynet.eu',
    phone: null,
    country: 'ee',
    language: 'en',
    password: hashSync('FBLXAdmin123', 12),
    display_name: 'Freeblox',
    verified: true,
    activated: true,
  },
  {
    username: 'noob',
    email: 'noob@icynet.eu',
    phone: null,
    country: 'ee',
    language: 'en',
    password: hashSync('FBLXNoob123', 12),
    display_name: 'Noob',
    verified: true,
    activated: true,
  },
];

export async function seed(knex: Knex): Promise<void> {
  for (const user of initialUsers) {
    const userExists = await knex('users').where({ username: user.username });
    if (userExists?.length) continue;

    await knex('users').insert(user);
  }
}
