import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { BanEntity } from '../database/entities/ban.entity';
import { MoreThan, Repository } from 'typeorm';
import { UserEntity } from '../database/entities/user.entity';

@Injectable()
export class BanService {
  constructor(
    @InjectRepository(BanEntity)
    private readonly banRepository: Repository<BanEntity>,
  ) {}

  async getActiveBansForUser(user: UserEntity) {
    return this.banRepository.find({
      where: [
        {
          expiresAt: null,
          user: { id: user.id },
        },
        {
          expiresAt: MoreThan(new Date()),
          user: { id: user.id },
        },
      ],
      relations: ['privileges'],
    });
  }

  async getAllBansForUser(user: UserEntity) {
    return this.banRepository.find({
      where: {
        user: { id: user.id },
      },
      relations: ['privileges'],
    });
  }
}
