import { NestFactory } from '@nestjs/core';
import { BankModule } from './bank.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(
    BankModule,
    {
      transport: Transport.NATS,
      options: {
        servers: [String(process.env.NATS_ENTRYPOINT)],
      },
    },
  );

  await app.listen();
}
bootstrap();
