import { ContentType } from '../enums/content-type.enum';

export const CHARACTER_CLOTHING = [
  ContentType.TSHIRT,
  ContentType.SHIRT,
  ContentType.PANTS,
];

export const CHARACTER_ACCESSORIES = [
  ContentType.ACCESSORY,
  ContentType.HAT,
  ContentType.FACE,
  ContentType.FRONT,
  ContentType.BODY,
  ContentType.BACK,
  ContentType.TOOL,
];

export const CREATOR_ITEMS = [
  ContentType.MESH,
  ContentType.TEXTURE,
  ContentType.GAMEOBJECT,
  ContentType.SOUND,
  ContentType.ANIMATION,
];

export const CATALOG_CATEGORY_ITEMS = [
  ContentType.CHARACTER,
  ...CHARACTER_CLOTHING,
  ...CHARACTER_ACCESSORIES,
  ...CREATOR_ITEMS,
];

export const ALLOWED_IMAGE_MIME = [
  'image/bmp',
  'image/jpeg',
  'image/jpg',
  'image/png',
];

export const ALLOWED_MESH_MIME = [
  'model/obj',
  'model/gltf-binary',
  'model/gltf+json',
];

export const ALLOWED_SOUND_MIME = [
  'audio/mpeg',
  'audio/ogg',
  'audio/vorbis',
  'application/ogg',
];
