import { Exclude, Expose } from 'class-transformer';
import {
  Column,
  Entity,
  Index,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { ContentEntity } from './content.entity';
import { MetaEntity } from '@freeblox/shared';

@Entity('content_favorite')
@Expose()
export class ContentFavoriteEntity extends MetaEntity {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({ name: 'content_id' })
  @Exclude()
  contentId: number;

  @Column({ name: 'user_id', type: 'uuid', nullable: true })
  @Index()
  @Exclude()
  userId: string;

  @ManyToOne(() => ContentEntity, { onDelete: 'CASCADE' })
  @JoinColumn({ name: 'content_id' })
  content: ContentEntity;
}
