import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('content_favorite', (table) => {
    table.increments('id').primary();

    table.integer('content_id').unsigned().notNullable();
    table.uuid('user_id').index().notNullable();

    table.timestamps(true, true);

    table.foreign('content_id').references('content.id').onDelete('CASCADE');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('content_favorite');
}
