import { Knex } from 'knex';

export async function up(knex: Knex): Promise<void> {
  return knex.schema.createTable('content_vote', (table) => {
    table.increments('id').primary();

    table.integer('content_id').index().unsigned().notNullable();
    table.uuid('user_id').notNullable();

    table.enum('vote', ['up', 'down']).index().notNullable();

    table.timestamps(true, true);

    table.foreign('content_id').references('content.id').onDelete('CASCADE');
  });
}

export async function down(knex: Knex): Promise<void> {
  return knex.schema.dropTable('content_vote');
}
