import { NestFactory } from '@nestjs/core';
import { CatalogModule } from './catalog.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { HttpRpcExceptionFilter } from '@freeblox/shared';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(
    CatalogModule,
    {
      transport: Transport.NATS,
      options: {
        servers: [String(process.env.NATS_ENTRYPOINT)],
      },
    },
  );

  app.useGlobalFilters(new HttpRpcExceptionFilter());
  await app.listen();
}
bootstrap();
