import { Module } from '@nestjs/common';
import { RenderController } from './render.controller';
import { RenderService } from './services/render.service';
import { natsClient } from '@freeblox/shared';
import { ConfigModule } from '@nestjs/config';
import { ClientsModule } from '@nestjs/microservices';

@Module({
  imports: [
    ConfigModule.forRoot({
      ignoreEnvFile: process.env.NODE_ENV === 'development',
    }),
    ClientsModule.register([natsClient('render'), natsClient('catalog')]),
  ],
  controllers: [RenderController],
  providers: [RenderService],
})
export class RenderModule {}
