import { CacheModule } from '@nestjs/cache-manager';
import { ConfigModule, ConfigService } from '@nestjs/config';
import { redisConfig } from './redis.provider';
import * as redisStore from 'cache-manager-redis-store';

export const getCacheManager = () =>
  CacheModule.registerAsync({
    imports: [ConfigModule, ConfigModule.forFeature(redisConfig)],
    useFactory: (config) => ({
      store: redisStore,
      ...config.get('redis'),
    }),
    inject: [ConfigService],
  });
