import { Exclude } from 'class-transformer';
import { Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export class MetaEntity {
  @CreateDateColumn({ name: 'created_at' })
  @Exclude()
  createdAt: Date;

  @UpdateDateColumn({ name: 'updated_at' })
  @Exclude()
  updatedAt: Date;
}

export class UserMetaEntity extends MetaEntity {
  @Column({ name: 'created_by' })
  @Exclude()
  createdBy: string;

  @Column({ name: 'updated_by' })
  @Exclude()
  updatedBy: string;
}
