import {
  Catch,
  RpcExceptionFilter,
  ArgumentsHost,
  HttpException,
} from '@nestjs/common';
import { Observable, throwError } from 'rxjs';
import { HttpRpcException } from '../exception/rpc.exception';

/**
 * Rethrow the custom exceptions
 */
@Catch(HttpRpcException)
export class HttpRpcExceptionFilter
  implements RpcExceptionFilter<HttpRpcException>
{
  catch(exception: HttpRpcException, host: ArgumentsHost): Observable<any> {
    return throwError(
      () => new HttpException(exception.error, exception.getStatus()),
    );
  }
}
